@charset "utf-8";

/* hd_wrapper{ */
.hd_wrapper {max-width: 360px; margin: 0 auto; padding: 0 20px; height: 45px; display: flex; align-items: center; justify-content: center;}
.hd_wrapper .logo a {width: 76px; height: 21px;}
.hd_wrapper .logo a img {width: 100%; height: 100%; object-fit: cover;}
/* }hd_wrapper */

/* container{ */
.container {width: 100%; height: calc(100vh - 45px);}
.container.question_ {background-image: url(../img/main_img2.png), url(../img/main_img3.png); background-position: 47% 90px, 56% 575px;}
.container.question_.last {background-image: none;}

.wrapper {max-width: 100%; margin: 0 auto; height: 100%; background-color: #70CBFF;}
.container.question_ .wrapper {background-color: unset;}
/* main{ */
.main {position: relative; max-width: 400px; margin: 0 auto; min-height: 800px; background-color: #70CBFF; background-image: url("../css/images/main-bg.png"); background-repeat: no-repeat; background-size: 365px 800px; background-position: center;}
.container.question_ .main {min-height: unset;}
/* main_title{ */
.main_title {position: relative;}
.main_title .top {font-size: 12px; font-weight: 800; line-height: 16px; text-align: center; padding-top: 35px;}

.main_title .mid {padding-top: 280px;}
.main_title .mid > ul {display: grid; gap: 10px; justify-content: center; max-width: 320px; margin: 0 auto; padding: 0 20px;}
.main_title .mid > ul > li {display: flex; align-items: center; gap: 10px;}
.main_title .mid > ul > li .chkBox {width: 14px; height: 14px; border-radius: 3px; border: 1px solid #000; box-shadow: 1px 1px 1px #000; background: #fff; flex: none; position: relative;}
.main_title .mid > ul > li .chkBox::before{content: ''; width: 14px; height: 14px; background-image: url("../css/images/ico-chk.svg"); background-repeat: no-repeat; background-size: cover; position: absolute; top: -7px; left: 1px;}
.main_title .mid > ul > li p {font-size: 0.875rem;}
.main_title .mid .tit {font-size: 28px; font-weight: 700; line-height: 35px; position: relative; text-align: center; margin-top: 35px;}
.main_title .mid .tit span {position: relative; z-index: 1;}
.main_title .mid .tit span::before {content: ''; width: 102%; height: 11px; border-radius: 10px; background: #EF8; position: absolute; left: 50%; bottom: 0; transform: translateX(-50%); z-index: -1;}

.main_title .bottom {text-align: center; margin-top: 35px;}
.main_title .bottom .count {font-size: 0.875rem; font-weight: 600;}
.main_title .bottom .count span {font-weight: 800; color: #1295F4;}
/* }main_title */

/* main_button{ */
.main_button {position: relative; padding: 0 30px; margin-top: 16px;}
.main_btn {position: relative; z-index: 1;}
.main_btn a {display: flex; align-items: center; justify-content: center; width: 100%; max-width: 300px; height: 60px; margin: 0 auto; padding: 12px 0; font-size: 22px; font-weight: 500; color: #292929; font-family: "Jua", sans-serif; border-radius: 15px; border: 1px solid #000; background: #fff; box-shadow: 2px 2px 0px #000;}
.main_btn a:hover {}
.main_link_btn {display: flex; align-items: center; justify-content: center; gap: 24px; margin-top: 20px;}
.main_link_btn a {width: 48px; height: 48px; display: flex;}
/* }main_button */

/* main_ft{ */
.main_ft {position: relative; padding: 30px 0; font-size: 10px; font-weight: 500; color: #fff; text-align: center;}
/* }main_ft */

/* }main */


/* main event{ */
.main:not(.intro) {padding: 0 20px; background-image: url("../css/images/question-bg.png"); background-repeat: no-repeat; background-size: 100%; background-color: #F7F7F7;}
.event_tit {font-size: 20px; font-family: "Aggro_B", sans-serif; text-align: center; word-break: keep-all; padding: 25px 0 27px;}
.event_step {width: 100%; height: 6px; border-radius: 10px; border: 1px solid #000;}
.event_step .event_step_step {height: 4px;border-radius: 6px;border-right: 1px solid #000;background: #48B9FF; position: relative;}
.event_step .event_step_step::before {content: ''; width: 16px; height: 20px; background-image: url("../css/images/ico-step.svg"); background-repeat: no-repeat; background-size: cover; position: absolute; bottom: calc(100% + 2px); left: calc(100% - 8px);}
#main1 .event_step .event_step_step {width: calc((1/12)*100%);}
#main2 .event_step .event_step_step {width: calc((2/12)*100%);}
#main3 .event_step .event_step_step {width: calc((3/12)*100%);}
#main4 .event_step .event_step_step {width: calc((4/12)*100%);}
#main5 .event_step .event_step_step {width: calc((5/12)*100%);}
#main6 .event_step .event_step_step {width: calc((6/12)*100%);}
#main7 .event_step .event_step_step {width: calc((7/12)*100%);}
#main8 .event_step .event_step_step {width: calc((8/12)*100%);}
#main9 .event_step .event_step_step {width: calc((9/12)*100%);}
#main10 .event_step .event_step_step {width: calc((10/12)*100%);}
#main11 .event_step .event_step_step {width: calc((11/12)*100%);}
#main12 .event_step .event_step_step {width: calc((12/12)*100%); border-right: 0;}

.event_step_count {font-size: 12px; font-weight: 600; text-align: right; margin-top: 2px;}
.event_question {background-image: url("../css/images/question-img.png"); background-repeat: no-repeat; background-size: 100% 100%; width: calc(100% + 20px); height: 246px; position: relative; margin: 0 -10px;}
.question_count {font-size: 14px; font-weight: 700; color: #fff; position: absolute; top: 14px; left: 50%; transform: translateX(-50%); width: 100%; max-width: 360px; height: 32px; padding: 0 20px; display: flex;align-items: center;justify-content: center;}
.question_title {font-size: 20px; font-weight: 700; color: #292929; line-height: 1.5; text-align: center; position: absolute; top: 46px; left: 50%; transform: translateX(-50%); width: 100%; max-width: 360px; height: 162px; padding: 0 20px; display: flex; align-items: center; justify-content: center; word-break: keep-all;}
.event_question_select {margin-top: 20px;}
.event_question_select > ul > li + li {margin-top: 20px;}
.event_question_select > ul > li {border-radius: 10px; border: 2px solid #000;display: flex; align-items: center; justify-content: center; text-align: center;}
.event_question_select > ul > li input {display: none;}
.event_question_select > ul > li label {background: #F7F7F7; padding: 12px 14px; width: 100%; border-radius: 10px; position: relative; font-size: 14px; font-weight: 500; line-height: 24px; word-break: keep-all;}

.event_question_select > ul > li input ~ label::before {
    content: "";
    border-radius: 4px;
    border: 0;
    width: 16px;
    height: 16px;
    display: inline-block;
    flex: none;
    position: absolute;
    top: 50%;
    left: 14px;
    transform: translateY(-50%);
    background-image: url("../css/images/input-check.svg");
    background-repeat: no-repeat;
    background-size: 16px 16px;
    background-position: center;
}
.event_question_select > ul > li input:checked ~ label {
    background: #70CBFF;
}
.event_question_select > ul > li input:checked ~ label::before {
    width: 18px;
    height: 20px;
    background-color: #70CBFF;
    background-image: url("../css/images/input-checked.svg");
    background-size: cover;
}


.event_btn_wrap {display: grid; grid-template-columns: repeat(2, 1fr); gap: 20px; margin: 30px 0 0; padding: 0 0 50px;}
.event_btn_wrap .btn {border-radius: 10px; border: 2px solid #000; height: 40px; display: flex; align-items: center; justify-content: center; font-size: 1rem; font-weight: 600; color: #424242; background: unset;}
.event_btn_wrap .btn.active {background: #70CBFF; color: #000;}
.event_btn_wrap .btn_submit {pointer-events: none;}
.event_btn_wrap .btn_submit.active {pointer-events: inherit;}

.do_list {padding: 20px 20px 30px; margin: 0 -20px; background: #fff; background-image: url("../css/images/dash-line.png"); background-repeat: no-repeat; background-size: 100% 2px; background-position: top;}
.do_list .tit {font-size: 14px; font-weight: 500; line-height: 20px; color: #70CBFF;}
.do_list ul {margin-top: 10px;}
.do_list ul li {font-size: 12px; font-weight: 300; line-height: 20px; color: #424242;}
.do_list ul li + li {margin-top: 4px;}

/* question_img{ */
/* question1 */
@keyframes question1 {
    to {
        bottom: 30px;
    }
}
.question_img_1 {
    position: absolute;
    bottom: 20px;
    right: -15px;
    animation: question1 1s infinite linear alternate;
}
/* question2 */
@keyframes question2 {
    to {
        transform: rotate(360deg);
    }
}
.question_img_2 {
    position: absolute;
    bottom: 20px;
    right: 10px;
}
.question_img_2-1 {
    position: absolute;
    top: -15px;
    right: 10px;
    animation: question2 5s infinite linear;
}
/* question3 */
@keyframes question3 {
    to {
        top: -110px;
    }
}
.question_img_3 {
    position: absolute;
    bottom: 10px;
    right: 10px;
}
.question_img_3-1 {
    position: absolute;
    top: -100px;
    right: 5px;
    animation: question3 1s infinite linear alternate;
}
/* question4 */
@keyframes question4-2 {
    to {
        opacity: 1;
    }
}
@keyframes question4-3 {
    to {
        opacity: 1;
    }
}
.question_img_4 {
    position: absolute;
    bottom: 20px;
    right: -10px;
}
.question_img4-2 {
    position: absolute;
    top: 29px;
    left: 37px;
    opacity: 0;
    animation: question4-2 2s infinite alternate;
    animation-delay: 2s;
}
.question_img4-3 {
    position: absolute;
    top: 7px;
    right: 33px;
    opacity: 0;
    animation: question4-3 2s infinite alternate;
}
/* question5 */
@keyframes question5 {
    to {
        top: -50px;
    }
}
.question_img_5 {
    position: absolute;
    bottom: 20px;
    right: 0;
}
.question_img5-1 {
    position: absolute;
    top: -40px;
    left: -50px;
    animation: question5 1s infinite linear alternate;
}
/* question6 */
@keyframes question6-1 {
    to {
        bottom: 45px;
    }
}
@keyframes question6-2 {
    to {
        transform: rotate(360deg);
    }
}
.question_img_6-1 {
    position: absolute;
    bottom: 4px;
    right: 60px;
    animation-name: question6-1, question6-2;
    animation-delay: 0s, 2s;
    animation-duration: 2s, 20s;
    animation-fill-mode: forwards;
    animation-timing-function: ease-out, linear;
}
.question_img_6-2 {
    position: absolute;
    bottom: 0px;
    right: 10px;
}
/* question7 */
@keyframes question7 {
    0% {
        background-position: 0 0
    }
    10% {
        background-position: -110px 0;
    }
    20% {
        background-position: -220px 0;
    }
    30% {
        background-position: -330px 0 ;
    }
    40% {
        background-position: -440px 0 ;
    }
    50% {
        background-position: -550px 0 ;
    }
    60% {
        background-position: -660px 0 ;
    }
    70% {
        background-position: -770px 0 ;
    }
    80% {
        background-position: -880px 0 ;
    }
    90% {
        background-position: -990px 0 ;
    }
    90% {
        background-position: -1100px 0 ;
    }
    100% {
        background-position: -1210px 0 ;
    }
}
.question_img_7 {
    width: 110px;
    height: 110px;
    background-position: 0 0;
    background: url(../img/question/question7.png) no-repeat 0 0 / auto 110px;
    animation: question7 2s steps(1) forwards infinite;
    position: absolute;
    bottom: 20px;
    right: 10px;
}
/* question8 */
@keyframes question8 {
    to {
        transform: rotate(-15deg);
    }
}
.question_img_8 {
    position: absolute;
    bottom: 30px;
    right: 70px;
}
.question_img_8-1 {
    position: absolute;
    bottom: 17px;
    right: -60px;
    animation: question8 1s infinite linear alternate;
}
/* question9 */
@keyframes question9 {
    to {
        top: 1px;
    }
}
.question_img_9 {
    position: absolute;
    bottom: 15px;
    right: 10px;
}
.question_img_9-1 {
    position: absolute;
    top: 11px;
    left: -70px;
    animation: question9 1s infinite linear alternate;
}
/* question10 */
@keyframes question10 {
    to {
        top: -54px;
    }
}
.question_img_10 {
    position: absolute;
    bottom: 35px;
    right: 15px;
}
.question_img_10-1 {
    position: absolute;
    top: -44px;
    right: 13px;
    animation: question10 1s infinite linear alternate;
}
/* }question_img */
/* }main event */

/* 정보입력{ */
.last_title {
    position: relative;
    padding-top: 160px;
}
.last_title .top {
    color: #FFFFFF;
    font-size: 14px;
    font-weight: 500;
}
.last_info {
    margin-top: 27px;
    position: relative;
}
.last_info_1 {
    background: url(../img/last_info1.png) no-repeat;
    width: 223px;
    height: 71px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    right: 0;
}
.last_info_1 p {
    color: #fff;
    font-size: 14px;
    font-weight: 300;
    text-align: center;
    margin-top: -7px;
}
.last_info_2 {
    text-align: right;
    padding-top: 90px;
}
.last_input {
    margin-top: 55px;
    margin-bottom: 30px;
}
.write_div {
    margin-bottom: 23px;
}
.write_div_title {
    font-size: 14px;
    font-weight: 700;
    color: #fff;
}
.write_div_input_wrap .frm_input {
    background: none;
    color: #fff;
    border: 0;
    box-shadow: none;
    border-bottom: 1px solid #fff;
    border-radius: 0;
    padding: 0;
    font-size: 14px;
    font-weight: 300;
}
.write_div_input_wrap .frm_input::placeholder {
    color:rgba(255,255,255,0.5);
}
.write_div_input_wrap .frm_input:focus {
    border: 0 !important;
    border-bottom: 1px solid #fff !important;
    box-shadow: none;
}
.last_btn .btn_submit {
    background: none;
    display: block;
    border-radius: 4px;
    font-size: 14px;
    font-weight: 700;
    width: 100%;
    border: 1px solid #fff;
    height: 64px;
}
.last_btn .btn_submit:hover {
    background: #fff;
    color: #EA5514;
}
/* }정보입력 */

/* 로딩 */
.loading_wrap {
    background: rgba(0,0,0,0.7);
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9;
}
.loading_img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
/* 모바일 */
@media (max-width:768px){
    .main {max-width: 100%;}
}

@media (max-width:360px){
    .main {min-height: unset;}

    .main_title .mid > ul > li p {font-size: 12px;}
    .main_title .mid .tit {font-size: 24px;}
    .main_title .bottom .txt {font-size: 1.125rem; gap: 6px;}

    .event_tit {font-size: 1.125rem;}
    .question_title {font-size: 1.125rem;}
    .event_question_select > ul > li label {padding: 12px 40px;}
}
